Summary: Computer-aided translation system focusing on productivity and performance
Name:    kaider
Version: 4.0.0
Release: 2%{?dist}

Group:   Development/Tools
# Most files are v2+, the Strigi analyzer isn't
License: GPLv2
URL:     http://techbase.kde.org/Projects/Summer_of_Code/2007/Projects/KAider
Source0: ftp://ftp.kde.org/pub/kde/stable/%{version}/src/extragear/kaider-%{version}.tar.bz2
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires: cmake
BuildRequires: gettext
BuildRequires: kdelibs4-devel
BuildRequires: strigi-devel

# Runtime-only dependency for command-line tools
Requires: gettext

%description
KAider is a computer-aided translation system that focuses on productivity and
performance. The translator does only creative work (of delivering the message
in his/her mother tongue in a laconic and easy to understand form). KAider
implies a paragraph-by-paragraph translation approach (when translating
documentation) and a message-by-message approach (when translating GUI).

%prep
%setup -q -n %{name}-%{version}

%build
%cmake_kde4 .
make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT
mkdir $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT
%find_lang %{name}

%clean
rm -rf $RPM_BUILD_ROOT

%files -f %{name}.lang
%defattr(-,root,root,-)
# Hey upstream, where's COPYING?
%{_kde4_bindir}/kaider
%{_kde4_datadir}/applications/kde4/kaider.desktop
%{_kde4_datadir}/config.kcfg/kaider.kcfg
%{_kde4_datadir}/icons/hicolor/*/*/*
%{_kde4_datadir}/icons/locolor/*/*/*
%{_kde4_appsdir}/kaider/
%{_libdir}/strigi/strigila_po.so
%{_datadir}/strigi/fieldproperties/strigi_translation.fieldproperties
%doc %{_kde4_docdir}/HTML/en/kaider/

%changelog
* Sat Feb 9 2008 Kevin Kofler <Kevin@tigcc.ticalc.org> 4.0.0-2
- Rebuild for GCC 4.3

* Mon Jan 7 2008 Kevin Kofler <Kevin@tigcc.ticalc.org> 4.0.0-1
- Update to 4.0.0
- Drop doc-subdir patch (fixed upstream)

* Wed Dec 12 2007 Kevin Kofler <Kevin@tigcc.ticalc.org> 3.97.0-3
- Patch to fix the documentation directory
- Package translations

* Wed Dec 12 2007 Kevin Kofler <Kevin@tigcc.ticalc.org> 3.97.0-2
- Add BR gettext

* Wed Dec 12 2007 Kevin Kofler <Kevin@tigcc.ticalc.org> 3.97.0-1
- Switch to real release from KDE extragear

* Thu Dec 6 2007 Kevin Kofler <Kevin@tigcc.ticalc.org> 0.1-0.1.20071206svn743765
- First Fedora package
